KD Chart 2: KDChart::AbstractThreeDAttributes Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# KDChart::AbstractThreeDAttributes Class Reference

`#include <KDChartAbstractThreeDAttributes.h>`

Inheritance diagram for KDChart::AbstractThreeDAttributes:

[legend]
List of all members.

## Detailed Description

Base class for 3D attributes.

Definition at line 41 of file KDChartAbstractThreeDAttributes.h.

## Public Member Functions
| AbstractThreeDAttributes (const AbstractThreeDAttributes &)
| AbstractThreeDAttributes ()
double | depth () const
bool | isEnabled () const
bool | operator!= (const AbstractThreeDAttributes &other) const
AbstractThreeDAttributes & | operator= (const AbstractThreeDAttributes &)
bool | operator== (const AbstractThreeDAttributes &) const
void | setDepth (double depth)
void | setEnabled (bool enabled)
double | validDepth () const
virtual | ~AbstractThreeDAttributes ()=0

## Constructor & Destructor Documentation

AbstractThreeDAttributes::AbstractThreeDAttributes | ( |  | ) |

Definition at line 46 of file KDChartAbstractThreeDAttributes.cpp.

    00047     : _d( new Private() )
    00048 {
    00049 }

AbstractThreeDAttributes::AbstractThreeDAttributes | ( | const AbstractThreeDAttributes & |  | ) |

Definition at line 51 of file KDChartAbstractThreeDAttributes.cpp.

    00052     : _d( new Private( *r.d ) )
    00053 {
    00054 }

AbstractThreeDAttributes::~AbstractThreeDAttributes | ( |  | ) | `[pure virtual]`

Definition at line 66 of file KDChartAbstractThreeDAttributes.cpp.

    00067 {
    00068     delete _d; _d = 0;
    00069 }

## Member Function Documentation

double AbstractThreeDAttributes::depth | ( |  | ) | const

Definition at line 103 of file KDChartAbstractThreeDAttributes.cpp.

References d.

Referenced by operator<<(), operator==(), and KDChart::PieDiagram::paint().

    00104 {
    00105     return d->depth;
    00106 }

bool AbstractThreeDAttributes::isEnabled | ( |  | ) | const

Definition at line 92 of file KDChartAbstractThreeDAttributes.cpp.

References d.

Referenced by operator<<(), operator==(), KDChart::PieDiagram::paint(), and validDepth().

    00093 {
    00094     return d->enabled;
    00095 }

bool KDChart::AbstractThreeDAttributes::operator!= | ( | const AbstractThreeDAttributes & | other | ) | const

Definition at line 60 of file KDChartAbstractThreeDAttributes.h.

    00060 { return !operator==(other); }

AbstractThreeDAttributes & AbstractThreeDAttributes::operator= | ( | const AbstractThreeDAttributes & |  | ) |

Definition at line 56 of file KDChartAbstractThreeDAttributes.cpp.

References d.

    00057 {
    00058     if( this == &r )
    00059         return *this;
    00060
    00061     *d = *r.d;
    00062
    00063     return *this;
    00064 }

bool AbstractThreeDAttributes::operator== | ( | const AbstractThreeDAttributes & |  | ) | const

Definition at line 72 of file KDChartAbstractThreeDAttributes.cpp.

References depth(), and isEnabled().

Referenced by KDChart::ThreeDPieAttributes::operator==(), KDChart::ThreeDLineAttributes::operator==(), and KDChart::ThreeDBarAttributes::operator==().

    00073 {
    00074     if( isEnabled() == r.isEnabled() &&
    00075         depth() == r.depth() )
    00076         return true;
    00077     else
    00078         return false;
    00079 }

void AbstractThreeDAttributes::setDepth | ( | double | depth | ) |

Definition at line 97 of file KDChartAbstractThreeDAttributes.cpp.

References d.

    00098 {
    00099     d->depth = depth;
    00100 }

void AbstractThreeDAttributes::setEnabled | ( | bool | enabled | ) |

Definition at line 87 of file KDChartAbstractThreeDAttributes.cpp.

References d.

    00088 {
    00089     d->enabled = enabled;
    00090 }

double AbstractThreeDAttributes::validDepth | ( |  | ) | const

Definition at line 109 of file KDChartAbstractThreeDAttributes.cpp.

References d, and isEnabled().

Referenced by KDChart::Plotter::threeDItemDepth(), KDChart::LineDiagram::threeDItemDepth(), and KDChart::BarDiagram::threeDItemDepth().

    00110 {
    00111     return isEnabled() ? d->depth : 0.0;
    00112 }

The documentation for this class was generated from the following files:

- KDChartAbstractThreeDAttributes.h
- KDChartAbstractThreeDAttributes.cpp